Bug 19253 - i18n-ISSUE-198: rt and rp elements
Summary: i18n-ISSUE-198: rt and rp elements
Status: VERIFIED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Robin Berjon
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords: CR
Depends on:
Blocks:
 
Reported: 2012-10-03 16:42 UTC by i18n IG
Modified: 2014-03-06 23:14 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description i18n IG 2012-10-03 16:42:14 UTC
(endorsed by the i18n WG)

4.6.20 The ruby element
http://dev.w3.org/html5/spec/the-ruby-element.html#the-ruby-element

"An rp element followed by one or more rt elements, each of which is itself followed by an rp element"

Have I misunderstood this, or is it saying that you could have something like:

<ruby>BASE<rp>(</rp><rt>annotation1</rt><rp>)</rp><rt>annotation2</rt><rp>)</rt></ruby>

or is it a typo, and should read "each of which is itself surrounded by an rp element"?
Comment 1 Erika Doyle Navara 2013-01-02 23:37:17 UTC
Instead of "surrounded by", which might imply that the <rp> element actually contains the <rt> elements rather than being a sibling to them, how about the following:

An rp element followed by one or more rt elements, followed by another rp element.

Here is the staged change for review:
https://github.com/w3c/html/commit/6b284107feab5267292377504977b37ca0a4d0f9

It changes this part of the spec:
http://www.w3.org/TR/html51/text-level-semantics.html#the-ruby-element

Also, given that "Contexts in which this element can be used" for <rp> elements states that:

As a child of a ruby element, either immediately before or immediately after an rt element. http://www.w3.org/TR/html51/text-level-semantics.html#the-rp-element

...it is unclear whether the following would be allowed:

<ruby>BASE<rp>(</rp><rt>annotation1</rt><rt>annotation2</rt><rp>)</rp></ruby>

Is the i18n IG / HTML WG okay with this ambiguity, or should we be more strict and drop the "or more" part to only allow one <rt> element per <rp> pair?
Comment 2 Erika Doyle Navara 2013-01-07 19:20:55 UTC
Robin will be working through all the ruby matters.
Comment 3 Robin Berjon 2013-12-13 14:24:47 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: Complete overhaul of the section.
Rationale: The section has been completely overhauled and your input has been taken into account. That said, there is no strict requirement for <rp> elements to appear in well-balanced pairs and the example you cite *could* sometimes apply. For instance, it could be used to place a comma between two annotations that would otherwise go above and below the base text. The section on <rp> has an example of that.
Comment 4 Addison Phillips 2014-03-06 23:14:09 UTC
I18N is satisfied by these changes. Thank you.